Package breeze-qt broken when upgrading to 20.09

I got an error that Package ‘breeze-qt5-5.18.5’ is marked as broken, but it rings no bells for me and the error message doesn’t lead anywhere :frowning:

I do not use plasma, and don’t have qt package installed. I would like to know which package in my config causes this problem, maybe it is something I don’t really use.

error: while evaluating the attribute 'activationScript' of the derivation 'nixos-system-raccoon-20.09.1500.edb26126d98' at /nix/var/nix/profiles/per-user/root/channels/nixos/nixos/modules/system/activation/top-level.nix:95:5:
while evaluating the attribute 'system.activationScripts.script' at /nix/var/nix/profiles/per-user/root/channels/nixos/nixos/modules/system/activation/activation-script.nix:68:9:
while evaluating 'textClosureMap' at /nix/var/nix/profiles/per-user/root/channels/nixos/lib/strings-with-deps.nix:70:35, called from /nix/var/nix/profiles/per-user/root/channels/nixos/nixos/modules/system/activation/activation-script.nix:89:18:
while evaluating 'id' at /nix/var/nix/profiles/per-user/root/channels/nixos/lib/trivial.nix:14:5, called from undefined position:
while evaluating the attribute 'text' at /nix/var/nix/profiles/per-user/root/channels/nixos/nixos/modules/system/activation/activation-script.nix:9:5:
while evaluating the attribute 'text' at /nix/var/nix/profiles/per-user/root/channels/nixos/lib/strings-with-deps.nix:77:38:
while evaluating the attribute 'sources' of the derivation 'etc' at /nix/var/nix/profiles/per-user/root/channels/nixos/nixos/modules/system/etc/etc.nix:12:5:
while evaluating anonymous function at /nix/var/nix/profiles/per-user/root/channels/nixos/nixos/modules/system/etc/etc.nix:20:20, called from undefined position:
while evaluating the attribute 'source' at undefined position:
while evaluating 'g' at /nix/var/nix/profiles/per-user/root/channels/nixos/lib/attrsets.nix:276:19, called from undefined position:
while evaluating anonymous function at /nix/var/nix/profiles/per-user/root/channels/nixos/lib/modules.nix:98:72, called from /nix/var/nix/profiles/per-user/root/channels/nixos/lib/attrsets.nix:279:20:
while evaluating the attribute 'value' at /nix/var/nix/profiles/per-user/root/channels/nixos/lib/modules.nix:465:9:
while evaluating the option `environment.etc.crontab.source':
while evaluating the attribute 'mergedValue' at /nix/var/nix/profiles/per-user/root/channels/nixos/lib/modules.nix:497:5:
while evaluating anonymous function at /nix/var/nix/profiles/per-user/root/channels/nixos/lib/modules.nix:499:17, called from /nix/var/nix/profiles/per-user/root/channels/nixos/lib/modules.nix:499:12:
while evaluating 'check' at /nix/var/nix/profiles/per-user/root/channels/nixos/lib/types.nix:256:15, called from /nix/var/nix/profiles/per-user/root/channels/nixos/lib/modules.nix:499:22:
while evaluating the attribute 'allFiles' of the derivation 'crontabs' at /nix/store/fvik248l0i6x4y1kln813fqhh7cdj4cq-nixos-20.09.1500.edb26126d98/nixos/pkgs/build-support/trivial-builders.nix:7:7:
while evaluating the attribute 'text' of the derivation 'system-crontab' at /nix/store/fvik248l0i6x4y1kln813fqhh7cdj4cq-nixos-20.09.1500.edb26126d98/nixos/pkgs/build-support/trivial-builders.nix:7:7:
while evaluating the attribute 'passAsFile' of the derivation 'system-path' at /nix/store/fvik248l0i6x4y1kln813fqhh7cdj4cq-nixos-20.09.1500.edb26126d98/nixos/pkgs/build-support/trivial-builders.nix:7:7:
while evaluating the attribute 'buildInputs' of the derivation 'kmail-20.08.1' at /nix/store/fvik248l0i6x4y1kln813fqhh7cdj4cq-nixos-20.09.1500.edb26126d98/nixos/pkgs/applications/kde/default.nix:43:9:
while evaluating the attribute 'buildInputs' of the derivation 'akonadi-search-20.08.1' at /nix/store/fvik248l0i6x4y1kln813fqhh7cdj4cq-nixos-20.09.1500.edb26126d98/nixos/pkgs/applications/kde/default.nix:43:9:
while evaluating the attribute 'handled' at /nix/store/fvik248l0i6x4y1kln813fqhh7cdj4cq-nixos-20.09.1500.edb26126d98/nixos/pkgs/stdenv/generic/check-meta.nix:256:7:
while evaluating 'handleEvalIssue' at /nix/store/fvik248l0i6x4y1kln813fqhh7cdj4cq-nixos-20.09.1500.edb26126d98/nixos/pkgs/stdenv/generic/check-meta.nix:152:38, called from /nix/store/fvik248l0i6x4y1kln813fqhh7cdj4cq-nixos-20.09.1500.edb26126d98/nixos/pkgs/stdenv/generic/check-meta.nix:257:14:
Package ‘breeze-qt5-5.18.5’ in /nix/store/fvik248l0i6x4y1kln813fqhh7cdj4cq-nixos-20.09.1500.edb26126d98/nixos/pkgs/desktops/plasma-5/default.nix:96 is marked as broken, refusing to evaluate.

a) For `nixos-rebuild` you can set
  { nixpkgs.config.allowBroken = true; }
in configuration.nix to override this.

Sorry about that. See: https://github.com/NixOS/nixpkgs/issues/100854 and https://github.com/NixOS/nixpkgs/issues/100707 and the fix: https://github.com/NixOS/nixpkgs/pull/101369 .

1 Like

Thanks, for those, I should have looked a bit wider.
I imagine that breeze-qt used in any kde package even if plasma5 itself isn’t in use. I wonder though, isn’t there a way to find out what declared package dependency is it?

I bet there is a way to get this information in nixos, why isn’t it in an error message?

Thanks again.

while evaluating the attribute 'buildInputs' of the derivation 'kmail-20.08.1' at /nix/store/fvik248l0i6x4y1kln813fqhh7cdj4cq-nixos-20.09.1500.edb26126d98/nixos/pkgs/applications/kde/default.nix:43:9:
while evaluating the attribute 'buildInputs' of the derivation 'akonadi-search-20.08.1' at /nix/store/fvik248l0i6x4y1kln813fqhh7cdj4cq-nixos-20.09.1500.edb26126d98/nixos/pkgs/applications/kde/default.nix:43:9:
while evaluating the attribute 'handled' at /nix/store/fvik248l0i6x4y1kln813fqhh7cdj4cq-nixos-20.09.1500.edb26126d98/nixos/pkgs/stdenv/generic/check-meta.nix:256:7:
while evaluating 'handleEvalIssue' at /nix/store/fvik248l0i6x4y1kln813fqhh7cdj4cq-nixos-20.09.1500.edb26126d98/nixos/pkgs/stdenv/generic/check-meta.nix:152:38, called from /nix/store/fvik248l0i6x4y1kln813fqhh7cdj4cq-nixos-20.09.1500.edb26126d98/nixos/pkgs/stdenv/generic/check-meta.nix:257:14:
Package ‘breeze-qt5-5.18.5’ in /nix/store/fvik248l0i6x4y1kln813fqhh7cdj4cq-nixos-20.09.1500.edb26126d98/nixos/pkgs/desktops/plasma-5/default.nix:96 is marked as broken, refusing to evaluate.

kmail is (transitively) pulling in breeze-qt5 in a version that is marked as broken.

1 Like

I get exactly the same issue. So we need to wait for this PR to get merged to have a compilable system?

It’s a fix for on master. If that is accepted, it needs to be backported which may take some time as well.

1 Like

One of the reasons I would like to see us release in november for stable. We could have just packaged plasma 5.20 with most of the ecosystem on the latest qt. And should have been able to avoid a lot of this qt+ kde + plasma incoherence.

1 Like